> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.crisscross.money/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.crisscross.money/_mcp/server.

# Create Unmatched Settlements Report (Job)

POST https://api.crisscross.money/v1/reports/unmatched-settlements
Content-Type: application/json

Creates an asynchronous unmatched settlements report job.

Reference: https://docs.crisscross.money/api-reference/collect/reporting/create-unmatched-settlements-report

## Request

### Body (application/json)

This endpoint expects a CreateReportRequest.

- `merchantId` (string, required) — Merchant identifier.
- `name` (string, required) — A human-friendly report name.
- `columns` (list of string, required) — Columns to include in the generated report.
- `parameters` (ReportParameters, required)
- `filters` (map from string to any, optional) — Optional filters applied to the report generation.

## Response

### 201

Report job created successfully.

- `id` (string, required) — Unique identifier for the report job.
- `status` (string, required) — Report job status.
- `name` (string, optional) — Report name.
- `type` (string, optional) — Report type.
- `createdAt` (datetime, optional) — Timestamp when the job was created.
- `updatedAt` (datetime, optional) — Timestamp when the job was last updated.

## Errors

### 400 Bad Request Error

Invalid request parameters.

- `message` (string, required) — Human-readable description of what went wrong.
- `error` (string, required) — Error category, typically the HTTP reason phrase (e.g. "Bad Request", "Unauthorized", "Conflict", "Unprocessable Entity", "Internal Server Error").
- `statusCode` (integer, required) — HTTP status code, mirroring the response header. The response header is the source of truth.

### 401 Unauthorized Error

Unauthorized.

- `message` (string, required) — Human-readable description of what went wrong.
- `error` (string, required) — Error category, typically the HTTP reason phrase (e.g. "Bad Request", "Unauthorized", "Conflict", "Unprocessable Entity", "Internal Server Error").
- `statusCode` (integer, required) — HTTP status code, mirroring the response header. The response header is the source of truth.

### 422 Unprocessable Entity Error

Unprocessable Entity.

- `message` (string, required) — Human-readable description of what went wrong.
- `error` (string, required) — Error category, typically the HTTP reason phrase (e.g. "Bad Request", "Unauthorized", "Conflict", "Unprocessable Entity", "Internal Server Error").
- `statusCode` (integer, required) — HTTP status code, mirroring the response header. The response header is the source of truth.

## Types

### ReportParameters

- `dateRange` (DateRange, required)

### DateRange

- `startDate` (date, required)
- `endDate` (date, required)

## Examples

**Request**

```json
{
  "merchantId": "string",
  "name": "string",
  "columns": [
    "string"
  ],
  "parameters": {
    "dateRange": {
      "startDate": "2023-01-15",
      "endDate": "2023-01-15"
    }
  }
}
```

**Response**

```json
{
  "id": "string",
  "status": "string",
  "name": "string",
  "type": "string",
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-01-15T09:30:00Z"
}
```

**SDK Code**

```python
import requests

url = "https://api.crisscross.money/v1/reports/unmatched-settlements"

payload = {
    "merchantId": "string",
    "name": "string",
    "columns": ["string"],
    "parameters": { "dateRange": {
            "startDate": "2023-01-15",
            "endDate": "2023-01-15"
        } }
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.crisscross.money/v1/reports/unmatched-settlements';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"merchantId":"string","name":"string","columns":["string"],"parameters":{"dateRange":{"startDate":"2023-01-15","endDate":"2023-01-15"}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.crisscross.money/v1/reports/unmatched-settlements"

	payload := strings.NewReader("{\n  \"merchantId\": \"string\",\n  \"name\": \"string\",\n  \"columns\": [\n    \"string\"\n  ],\n  \"parameters\": {\n    \"dateRange\": {\n      \"startDate\": \"2023-01-15\",\n      \"endDate\": \"2023-01-15\"\n    }\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.crisscross.money/v1/reports/unmatched-settlements")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"merchantId\": \"string\",\n  \"name\": \"string\",\n  \"columns\": [\n    \"string\"\n  ],\n  \"parameters\": {\n    \"dateRange\": {\n      \"startDate\": \"2023-01-15\",\n      \"endDate\": \"2023-01-15\"\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.crisscross.money/v1/reports/unmatched-settlements")
  .header("Content-Type", "application/json")
  .body("{\n  \"merchantId\": \"string\",\n  \"name\": \"string\",\n  \"columns\": [\n    \"string\"\n  ],\n  \"parameters\": {\n    \"dateRange\": {\n      \"startDate\": \"2023-01-15\",\n      \"endDate\": \"2023-01-15\"\n    }\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.crisscross.money/v1/reports/unmatched-settlements', [
  'body' => '{
  "merchantId": "string",
  "name": "string",
  "columns": [
    "string"
  ],
  "parameters": {
    "dateRange": {
      "startDate": "2023-01-15",
      "endDate": "2023-01-15"
    }
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.crisscross.money/v1/reports/unmatched-settlements");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"merchantId\": \"string\",\n  \"name\": \"string\",\n  \"columns\": [\n    \"string\"\n  ],\n  \"parameters\": {\n    \"dateRange\": {\n      \"startDate\": \"2023-01-15\",\n      \"endDate\": \"2023-01-15\"\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "merchantId": "string",
  "name": "string",
  "columns": ["string"],
  "parameters": ["dateRange": [
      "startDate": "2023-01-15",
      "endDate": "2023-01-15"
    ]]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.crisscross.money/v1/reports/unmatched-settlements")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```